#ifndef TRACK_H
#define TRACK_H

#include <vector>
#include <string>

struct Point {
	float lat;
	float lon;
	float ele;
};

struct Track {
public:
	std::vector<Point> points;
	Point min;
	Point max;
};

static std::vector<Track> tracks;
static std::vector<std::pair<Track, std::vector<const Track*>>> track_groups;
static int random_group;

bool ParseFile(std::vector<Track> &out_tracks,
               const std::string &file_and_path);

void draw(const Track &track);

#endif
